## eo-spell 3.7

=== Makefile ===
short_list	=	komp,etn,Eujo,mll
pok_list	=	$(short_list),bot,pok,pers,var,zoo

#eo_list	=	$(short_list),drv
eo_list		=	$(pok_list),drv
esperanto_list	=	$(pok_list),arhx,mav,rar,var
#esperanto_list	=	$(pok_list),arhx,mav,rar,var,drv
#sen		=	rar

# Exotic forms // Ekzotajxoj
# Uncomment the following if you do not need rare forms like "forirontinoj";
# that could save some 11% of the eo.hash size:
#sxparu		= 	-DSXPARE

# Where to install the *.hash files; you could try
# $ ispell -vv | grep LIBDIR
# to find it out; one possible place is this:
#install_dir=/usr/lib/ispell
# Set it manually if the following does not suit you:
install_dir=`ispell -vv | grep LIBDIR | sed 's/[^"]*\\"\([^"]*\)\\"/\1/'`

# elisp_dir	= /usr/local/share/emacs/site-lisp
# VORTOJ	= `pwd`/src/vortoj.l3
##########################
# No more user settings // Fino de la uzulaj agordajxoj.
##########################

first:
	@./tools/check
	@echo "The hash files will be installed into $(install_dir)"
	@echo "Edit Makefile; then type 'make all'"

legu-min : LEGU-MIN.l3
	LC_CTYPE=C tools/l3-al-x < LEGU-MIN.l3 > legu-min

# all :	ordigo eo esperanto OO
all :	ordigo eo esperanto
	@echo
	@echo "Now you can 'make install' (if you have the appropriate permissions)"

ordigo:
#	$(MAKE) -C src
	cd src && $(MAKE)

OO :	ordigo
	cd work && $(MAKE) eooo eo_list=$(eo_list) sxparu=$(sxparu)

eo :	ordigo
#	$(MAKE) -C work eo.hash
	cd work && $(MAKE) eo.hash eo_list=$(eo_list) \
	sxparu="-DSXPARE" sen="mav,rar,$(sen)"

esperanto :	ordigo
#	$(MAKE) -C work esperanto.hash
	cd work && $(MAKE) esperanto.hash esperanto_list=$(esperanto_list)

check_diff :
	tools/slovnik src/vortoj.l3 > work/slovnik.tex

install:
	cp work/*.hash $(install_dir)

tar :	clean
	LC_CTYPE=C cd .. && tar cvf - ispell-eo | gzip -9v > espaff.tgz

dist :	distclean
	LC_CTYPE=C cd .. && \
	tar --exclude-vcs --exclude oo --exclude *.elc -cvjf - ispell-eo>ispelleo.tar.bz2

distclean :
#	$(MAKE) -C work distclean
	rm -f *~
	cd work && $(MAKE) distclean
	rm -f doc/legu-min

clean :
#	$(MAKE) -C work clean
	cd work && $(MAKE) clean

=== src/Makefile ===
ordigo:	vortoj.l3
	@echo "Ordigo, por teni la dosieron bela ..."
	../tools/ordigu vortoj.l3
	touch ordigo

=== work/Makefile ===
all :	eo.hash esperanto.hash eooo

eo.hash :	eo.aff eo.asc
	buildhash eo.asc eo.aff eo.hash
	@echo "La rigora eo.hash pretas."

esperanto.hash : esperanto.aff esperanto.asc
	buildhash esperanto.asc esperanto.aff esperanto.hash
	@echo "La permesema esperanto.hash pretas."
eooo :	eo_l3.aff eo_l3.dic

eo.aff : ../src/eo-aff.m4
	m4 $(sxparu) ../src/eo-aff.m4 | ../tools/cleanaff | ../tools/askiigu > eo.aff
	@echo "eo.aff generita kun sxparu='$(sxparu)'"

esperanto.aff : ../src/eo-aff.m4
	m4 -DLOZE ../src/eo-aff.m4 | ../tools/cleanaff | ../tools/askiigu > esperanto.aff

eo.asc : ../src/vortoj.l3
	../tools/filtru "$(eo_list)" eo.asc

esperanto.asc : ../src/vortoj.l3
	../tools/filtru "$(esperanto_list)" esperanto.asc

eo_l3.dic : ../src/vortoj.l3
	../tools/filtroo "$(eo_list)" eo_l3.dic
	@echo "OpenOffice eo_l3.dic file is ready."

eo_l3.aff : ../src/eo-aff.m4
	m4 $(sxparu) ../src/eo-aff.m4 | ../tools/cleanaff > eo_l3.aff
	emacs -batch eo_l3.aff -l ../emacs/oo.el -f save-buffer
	@echo "OpenOffice eo_l3.aff file is ready."

distclean : clean
	-rm -f *.hash *.aff *.asc *.dic

clean :
	-rm -f *.cnt *.stat *.asc *~ *tmp

## eo-spell 2.1.2000.02.25

=== debian/changelog ===
eo-spell (2.1.2000.02.25-61) unstable; urgency=medium

  * myspell-eo: Create and install .bdic files.
  * Fix some of the lintian overrides.
  * Bump Standards-Version. No changes required.
  * debian/copyright: Update Debian copyright year to 2022.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 13 Dec 2022 23:24:35 +0100

eo-spell (2.1.2000.02.25-60) unstable; urgency=medium

  * debian/control:wesperanto: Add missing ${wordlist:Depends}.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 12 Oct 2021 19:56:04 +0200

eo-spell (2.1.2000.02.25-59) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on quilt.
    + Build-Depends-Indep: Drop versioned constraint on
      dictionaries-common-dev.

  [ Agustin Martin Domingo ]
  * Use dh_ sequencer.
  * debian/control:
    - Add Rules-Requires-Root: no.
    - Bump debhelper-compat to 13.
    - No need to explicitly depend on quilt.
    - Bump Standards-Version. No changes required.
    - Add Homepage field.
  * Add some lintian overrides.
  * debian/copyright: Make DEP5.
  * debian/watch: added a fake site to explain that upstream tarball is
    unversioned. Thanks Eriberto Mota.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 01 Oct 2021 00:15:06 +0200

eo-spell (2.1.2000.02.25-58) unstable; urgency=low

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 28 Dec 2020 16:38:51 +0100

eo-spell (2.1.2000.02.25-57) unstable; urgency=medium

  * debian/control:
    - Declare wesperanto Multi-Arch: foreign.
    - Bump Standards-Version. No changes required.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 22 Nov 2018 13:07:26 +0100

eo-spell (2.1.2000.02.25-56) unstable; urgency=medium

  * debian/README.Debian: Do not use diacritics (Closes: #901326).
  * Add a minimal debian/wesperanto.info-wordlist.
  * Bump Standards-Version. No changes required.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 11 Jun 2018 16:59:03 +0200

eo-spell (2.1.2000.02.25-55) unstable; urgency=low

  * New binary package: wesperanto, providing Esperanto plain wordlist.
    Thanks: Dmitry Bogatov <KAction@gnu.org> (Closes: #890293).
  * debian/control:
    - Change Vcs-* for salsa migration.
    - Bump Standards-Version. No changes required.
  * Bump debhelper compat level to 11.
  * debian/copyright: Point to actual GPL-2 license.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 14 Feb 2018 19:15:02 +0100

eo-spell (2.1.2000.02.25-54) unstable; urgency=medium

  * debian/control::myspell-eo: Use Conflicts where needed.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 22 Sep 2015 12:16:05 +0200

eo-spell (2.1.2000.02.25-53) unstable; urgency=medium

  *  debian/control::myspell-eo: Provide hunspell counterparts.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 21 Sep 2015 19:01:14 +0200

eo-spell (2.1.2000.02.25-52) unstable; urgency=medium

  * debian/control:
    - Use Breaks rather than Conflicts.
    - Break possible hunspell-eo to avoid name collisions.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 21 Sep 2015 14:41:19 +0200

eo-spell (2.1.2000.02.25-51) unstable; urgency=medium

  * debian/rules: Make sure build is always done in a reproducible and
    working LC_ALL=C language environment (Closes: #789099).

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 18 Jun 2015 09:03:30 +0200

eo-spell (2.1.2000.02.25-50) unstable; urgency=medium

  * debian/rules: Make the build reproducible.
    Thanks Chris Lamb (Closes: #779161).

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 09 Apr 2015 17:23:23 +0200

eo-spell (2.1.2000.02.25-49) unstable; urgency=low

  * debian/control:
    - Make aspell-eo{,-cx7} "Multi-Arch: foreign" (See aspell-en #763892).
    - Bump Standard-Version. No changes required.
    - Update Vcs-Browser to cgit address.
    - Cosmetic changes.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 06 Oct 2014 15:13:33 +0200

eo-spell (2.1.2000.02.25-48) unstable; urgency=low

  * Rebuild against sid dictionaries-common-dev 1.23.2 to properly clean
    dirs.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 24 Apr 2014 10:47:47 +0200

eo-spell (2.1.2000.02.25-47) unstable; urgency=low

  * Rebuild against sid dictionaries-common-dev 1.23.0.
  * debian/rules: Pass -c option when creating compressed .cwl.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 09 Apr 2014 16:04:51 +0200

eo-spell (2.1.2000.02.25-46) unstable; urgency=low

  * Modify to use dictionaries-common-dev (>= 1.22.0) features:
    - ${ispell:Depends}, ${aspell:Depends}, ${hunspell:Depends}
    - Deal with remove files in debhelper snippet.
  * debian/control: Bump Standards Version. No changes required.
  * debian/control: Canonicalize VCS-* headers.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 04 Mar 2014 18:57:29 +0100

eo-spell (2.1.2000.02.25-45) unstable; urgency=low

  * Create aspell-eo-cx7 package for the Esperanto 7bit "cx" pseudo-charset.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 16 Jan 2012 16:17:15 +0100

eo-spell (2.1.2000.02.25-44) unstable; urgency=low

  * debian/control:
    - Improve myspell-eo suggestions line and add libreoffice.
    - myspell-eo does not need to provide hunspell dictionary.
  * debian/{rules,aspell-eo.info-aspell,iesperanto.info-ispell}:
    - Use auto-compat feature to avoid modification of placeholders
      shipped under /var by maintainer scripts.
  * Migrate from dpatch to quilt. Use 3.0 (quilt) format.
  * debian/rules:
    - Fix lintian debian-rules-missing-recommended-target build-{arch,indep}.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 14 Sep 2011 14:29:29 +0200

eo-spell (2.1.2000.02.25-43) unstable; urgency=low

  * Build Depends on at least dictionaries-common-dev (>= 1.10.5)


=== debian/control ===
Source: eo-spell
Section: text
Priority: optional
Build-Depends-Indep:
	ispell,
	aspell,
	dictionaries-common-dev (>= 1.29.0),
	qt6-webengine-dev-tools,
	hunspell-tools | myspell-tools | libmyspell-dev (>= 1:3.1-5)
Build-Depends: debhelper-compat (= 13)
Vcs-Git: https://salsa.debian.org/debian/eo-spell.git
Vcs-Browser: https://salsa.debian.org/debian/eo-spell
Homepage: https://kovro.heliohost.org/
Maintainer: Agustin Martin Domingo <agmartin@debian.org>
Standards-Version: 4.6.1.0
Rules-Requires-Root: no

Package: iesperanto
Architecture: all
Depends: ${misc:Depends},
	 debconf | debconf-2.0,
	 ${ispell:Depends}
Provides: ispell-dictionary
Description: Esperanto dictionary for ispell
 This is the Esperanto dictionary for use with the ispell spellchecker,
 version 3.1.04 and following.  The dictionary is based on the words from
 Plena Ilustrita Vortaro, with additional country/language names.  It
 accepts Latin-3, 'cx' and '^c' forms.

Package: wesperanto
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
	 ${wordlist:Depends}
Provides: wordlist
Description: Esperanto dictionary words for /usr/share/dict
 This package provides the file /usr/share/dict/esperanto,
 containing a list of Esperanto words in utf-8 encoding.
 This list can be used by spelling checkers, and by programs
 such as look(1).

Package: myspell-eo
Architecture: all
Depends: ${misc:Depends},
	 ${hunspell:Depends}
Suggests: hunspell,
	  libreoffice-core | openoffice.org-hunspell | openoffice.org-core (>= 2.0.2),
	  iceape-browser | iceweasel | icedove
Breaks: openoffice.org (<= 1.0.3-2)
Conflicts: openoffice.org-spellcheck-eo,
	   hunspell-eo
Provides: openoffice.org-spellcheck-eo,
	  myspell-dictionary,
	  myspell-dictionary-eo,
	  hunspell-dictionary,
	  hunspell-dictionary-eo,
	  hunspell-eo
Replaces: openoffice.org-spellcheck-eo
Description: Esperanto dictionary for myspell
 This is the Esperanto dictionary for use with the myspell spellchecker,
 which is currently used within OpenOffice.org and the mozilla spellchecker.
 The dictionary is based on the words from Plena Ilustrita Vortaro, with
 additional country/language names. It accepts Latin-3 form.

Package: aspell-eo
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
	 ${aspell:Depends}
Provides: aspell-dictionary
Description: Esperanto dictionary for aspell
 This is the Esperanto dictionary for use with the aspell spellchecker.
 The dictionary is based on the words from Plena Ilustrita Vortaro, with
 additional country/language names.

Package: aspell-eo-cx7
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
	 ${aspell:Depends}
Provides: aspell-dictionary
Description: Esperanto dictionary for aspell, "cx" 7bit encoding
 This is the Esperanto dictionary for use with the aspell spellchecker.
 The dictionary is based on the words from Plena Ilustrita Vortaro, with
 additional country/language names.
 .
 This package uses only the 7bit "cx" pseudo-charset.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Make sure build is always done in a reproducible and working
# language environment
LC_ALL = C
export LC_ALL

# Useful only to build aspell official dir
ASPELL6BASENAME = aspell6-eo
ASPELL6DIR      = $(CURDIR)/debian/$(ASPELL6BASENAME)
ASPELLPROC      = /usr/share/aspell-lang/proc    # Location of proc script

TMP_BUILD       = tmp-build

MUNCHED_WORDS   = kerno.txt \
  komputo.txt \
  etnoland.txt \
  kancero.txt \
  movado.txt \
  personoj.txt

%:
	dh $@


override_dh_auto_build:
	mkdir -p $(TMP_BUILD)

	cp README $(TMP_BUILD)/README.ispell
	cp legumin.l3 $(TMP_BUILD)/legumin.l3.ispell
	cat $(MUNCHED_WORDS) | sort -uf > $(TMP_BUILD)/kune.txt
	gzip -9n -c $(TMP_BUILD)/kune.txt > $(TMP_BUILD)/esperanto.mwl.gz
	cp eo.aff $(TMP_BUILD)/esperanto.aff

	# Create ispell latin3 munched wordlist and affix file from cx default.
	sed -f debian/cx2latin3.sed $(TMP_BUILD)/kune.txt > $(TMP_BUILD)/eo.wl
	sed -f debian/cx2latin3.sed eo.aff                > $(TMP_BUILD)/eo-latin3-base.aff

	# Create myspell latin3 munched wordlist and affix file
	( echo `cat $(TMP_BUILD)/eo.wl | wc -l`; cat $(TMP_BUILD)/eo.wl ) > $(TMP_BUILD)/eo.dic
	ispellaff2myspell --charset=latin3 --myheader=debian/eo_ALL.header \
		$(TMP_BUILD)/eo-latin3-base.aff > $(TMP_BUILD)/eo.aff

	# Copy aspell affix file with preferred name and prepare .cwl
	cat $(TMP_BUILD)/eo.wl | prezip -s -c | gzip -9n -c > $(TMP_BUILD)/eo.cwl.gz
	cp  $(TMP_BUILD)/eo.aff $(TMP_BUILD)/eo_affix.dat

	# Build stuff for aspell cx pseudocharset
	buildhash $(TMP_BUILD)/kune.txt eo.aff eo.hash
	cat $(TMP_BUILD)/kune.txt | ispell -d ./eo -e | tr -s ' ' '\n' | sort -u > $(TMP_BUILD)/eo-cx.wl
	cat $(TMP_BUILD)/eo-cx.wl | grep -v -e "-'$$" | prezip -s -c | gzip -9n -c > $(TMP_BUILD)/eo-cx.cwl.gz

	# Build esperanto wordlist
	unmunch $(TMP_BUILD)/eo.dic $(TMP_BUILD)/eo.aff \
		| iconv -f latin3 -t utf-8 \
		| sed -f debian/cx2utf8.sed > $(TMP_BUILD)/esperanto

override_dh_auto_clean:
	rm -rf $(TMP_BUILD)
	rm -f eo.hash kune.txt.cnt kune.txt.stat
	if [ -d $(ASPELL6DIR) ]; then \
		rm $(ASPELL6DIR)/* && rmdir $(ASPELL6DIR); fi

	dh_auto_clean

override_dh_auto_install:
	installdeb-ispell   -piesperanto
	installdeb-aspell   -paspell-eo
	installdeb-aspell   -paspell-eo-cx7
	installdeb-hunspell -pmyspell-eo
	installdeb-myspell  -pmyspell-eo --bdic-only --srcdir=$(TMP_BUILD)
	installdeb-wordlist -pwesperanto
	dh_auto_install

# Useful only to build aspell official dir
aspelltgz: clean build
	mkdir -p $(ASPELL6DIR)
	install -m 644 debian/aspell/Copyright $(ASPELL6DIR)
	install -m 644 debian/aspell/info $(ASPELL6DIR)
	install -m 644 debian/aspell/eo.dat $(ASPELL6DIR)
	install -m 644 $(TMP_BUILD)/README.ispell $(TMP_BUILD)/legumin.l3.ispell $(ASPELL6DIR)
	install -m 644 debian/README.aspell $(ASPELL6DIR)/README
	install -m 644$(TMP_BUILD)/eo.aff $(ASPELL6DIR)/eo_affix.dat
	cat $(TMP_BUILD)/eo.dic | sed 1d | LC_COLLATE=C sort -u | \
		aspell --local-data-dir=$(ASPELL6DIR) --lang=eo  clean > $(ASPELL6DIR)/eo.wl
	( cd $(ASPELL6DIR) && \
		ln -sf $(ASPELLPROC) proc && \
		perl proc && \
		./configure && \
		make dist )
	mv $(ASPELL6DIR)/$(ASPELL6BASENAME)*.tar.bz2 ..

## eo-spell 3.7

=== debian/changelog ===
eo-spell (3.7-2) unstable; urgency=medium

  * Make the build reproducible. Thanks Chris Lamb (Closes: #1068300).

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 03 Apr 2024 21:08:27 +0200

eo-spell (3.7-1) unstable; urgency=medium

  * New upstream version.
  * Upgrade Debian package for upstream 3.7 version.
  * rules: Use ispell to create Esperanto wordlist.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 01 Apr 2024 23:38:30 +0200

eo-spell (2.1.2000.02.25-62) unstable; urgency=medium

  * Make myspell-eo a transitional package depending on hunspell-eo.
  * debian/control: Bump Standards-version. No changes required.
  * debian/rules: Minor improvements in wordlist creation.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 12 Feb 2024 09:46:55 +0100

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,13 @@
 	ispell,
 	aspell,
 	dictionaries-common-dev (>= 1.29.0),
-	qt6-webengine-dev-tools,
 	hunspell-tools | myspell-tools | libmyspell-dev (>= 1:3.1-5)
 Build-Depends: debhelper-compat (= 13)
 Vcs-Git: https://salsa.debian.org/debian/eo-spell.git
 Vcs-Browser: https://salsa.debian.org/debian/eo-spell
 Homepage: https://kovro.heliohost.org/
 Maintainer: Agustin Martin Domingo <agmartin@debian.org>
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 
 Package: iesperanto
@@ -39,29 +38,6 @@
  This list can be used by spelling checkers, and by programs
  such as look(1).
 
-Package: myspell-eo
-Architecture: all
-Depends: ${misc:Depends},
-	 ${hunspell:Depends}
-Suggests: hunspell,
-	  libreoffice-core | openoffice.org-hunspell | openoffice.org-core (>= 2.0.2),
-	  iceape-browser | iceweasel | icedove
-Breaks: openoffice.org (<= 1.0.3-2)
-Conflicts: openoffice.org-spellcheck-eo,
-	   hunspell-eo
-Provides: openoffice.org-spellcheck-eo,
-	  myspell-dictionary,
-	  myspell-dictionary-eo,
-	  hunspell-dictionary,
-	  hunspell-dictionary-eo,
-	  hunspell-eo
-Replaces: openoffice.org-spellcheck-eo
-Description: Esperanto dictionary for myspell
- This is the Esperanto dictionary for use with the myspell spellchecker,
- which is currently used within OpenOffice.org and the mozilla spellchecker.
- The dictionary is based on the words from Plena Ilustrita Vortaro, with
- additional country/language names. It accepts Latin-3 form.
-
 Package: aspell-eo
 Architecture: all
 Multi-Arch: foreign
@@ -85,3 +61,15 @@
  additional country/language names.
  .
  This package uses only the 7bit "cx" pseudo-charset.
+
+Package: myspell-eo
+Architecture: all
+Multi-Arch: foreign
+Section: oldlibs
+Depends: hunspell-eo,
+	 ${misc:Depends}
+Description: transitional dummy package
+ This is a dependency package for migration to hunspell-eo
+ This package is here only to ensure smooth upgrades from
+ myspell-eo to hunspell-eo.
+ It can be safely removed afterwards.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Variant to build for the package,
#  EO_VARIANT=eo           strict
#  EO_VARIANT=esperanto    sloppy
EO_VARIANT=eo

# Make sure build is always done in a reproducible and working
# language environment
LC_ALL = C
export LC_ALL

# Useful only to build aspell official dir
ASPELL6BASENAME = aspell6-eo
ASPELL6DIR      = $(CURDIR)/debian/$(ASPELL6BASENAME)
ASPELLPROC      = /usr/share/aspell-lang/proc    # Location of proc script

TMP_BUILD       = tmp-build

%:
	dh $@


override_dh_auto_build:
	mkdir -p $(TMP_BUILD)
	make $(EO_VARIANT)

	# ispell stuff
	cp work/$(EO_VARIANT).aff $(TMP_BUILD)/esperanto.aff
	gzip -9n -c work/$(EO_VARIANT).asc > $(TMP_BUILD)/esperanto.mwl.gz

	# --------- myspell stuff for aspell benefit -------
	sed -f debian/hat2latin3.sed $(TMP_BUILD)/esperanto.aff > $(TMP_BUILD)/eo-ispell-l3.aff
	# Prefix used non-alphabetic flags by '\' to be later handled
	# by -e "\\\\" option to ispellaff2myspell.
	# "\" flag is not supported by aspell (triggers error) and so,
	# is replaced by "!" in .aff and .dic files.
	sed -i  -e 's/\\\\/\\!/g' \
		-e 's/_:/\\_:/g' \
		-e 's/`:/\\`/g' \
		-e 's/\^:/\\\^:/g' $(TMP_BUILD)/eo-ispell-l3.aff
	perl debian/process-eo-dic.pl < work/$(EO_VARIANT).asc \
		> $(TMP_BUILD)/eo-latin3.wl
	# header is utf8, but is simpler to convert affix file in
	# latin3 and later recode to utf8 and append to header.
	ispellaff2myspell --charset=latin3 \
		-e "\\\\" \
		--myheader=debian/eo_ALL.header \
		--replacements=debian/eo_ALL.replaces \
		$(TMP_BUILD)/eo-ispell-l3.aff > $(TMP_BUILD)/eo.aff
	( echo `cat $(TMP_BUILD)/eo-latin3.wl | wc -l`; cat $(TMP_BUILD)/eo-latin3.wl ) \
		> $(TMP_BUILD)/eo.dic

	# Copy aspell affix file with preferred name and prepare .cwl
	cat $(TMP_BUILD)/eo-latin3.wl \
		| prezip -s -c \
		| gzip -9n -c > $(TMP_BUILD)/eo.cwl.gz
	cp  $(TMP_BUILD)/eo.aff $(TMP_BUILD)/eo_affix.dat

	# Build esperanto wordlist
	cat work/$(EO_VARIANT).asc \
		| ispell -d ./work/$(EO_VARIANT) -e \
		| sed -f debian/hat2utf8.sed \
		| tr -s ' ' '\n' \
		| LC_ALL=C sort -uf  > $(TMP_BUILD)/esperanto
#	unmunch $(TMP_BUILD)/eo.dic $(TMP_BUILD)/eo.aff \
#		| iconv -f iso-8859-3 -t utf-8 \
#		| LC_ALL=C sort -uf  > $(TMP_BUILD)/esperanto

	# Build stuff for aspell cx pseudocharset
	sed -f debian/utf8-2-cx.sed $(TMP_BUILD)/esperanto \
		| sort -u > $(TMP_BUILD)/eo-cx.wl
	cat $(TMP_BUILD)/eo-cx.wl \
		| perl -ne 'print unless /[^[:ascii:]]/' \
		| grep -v -e "-'$$" \
		| prezip -s -c \
		| gzip -9n -c > $(TMP_BUILD)/eo-cx.cwl.gz

override_dh_auto_clean:
	rm -rf $(TMP_BUILD)
	rm -f eo.hash kune.txt.cnt kune.txt.stat
	if [ -d $(ASPELL6DIR) ]; then \
		rm $(ASPELL6DIR)/* && rmdir $(ASPELL6DIR); fi

	dh_auto_clean

override_dh_auto_install:
	installdeb-ispell   -piesperanto
	installdeb-aspell   -paspell-eo
	installdeb-aspell   -paspell-eo-cx7
	installdeb-wordlist -pwesperanto
	dh_install

# Useful only to build aspell official dir
aspelltgz: clean build
	mkdir -p $(ASPELL6DIR)
	install -m 644 debian/aspell/Copyright $(ASPELL6DIR)
	install -m 644 debian/aspell/info $(ASPELL6DIR)
	install -m 644 debian/aspell/eo.dat $(ASPELL6DIR)
	install -m 644 $(TMP_BUILD)/README.ispell $(TMP_BUILD)/legumin.l3.ispell $(ASPELL6DIR)
	install -m 644 debian/README.aspell $(ASPELL6DIR)/README
	install -m 644$(TMP_BUILD)/eo.aff $(ASPELL6DIR)/eo_affix.dat
	cat $(TMP_BUILD)/eo.dic | sed 1d | LC_COLLATE=C sort -u | \
		aspell --local-data-dir=$(ASPELL6DIR) --lang=eo  clean > $(ASPELL6DIR)/eo.wl
	( cd $(ASPELL6DIR) && \
		ln -sf $(ASPELLPROC) proc && \
		perl proc && \
		./configure && \
		make dist )
	mv $(ASPELL6DIR)/$(ASPELL6BASENAME)*.tar.bz2 ..
